aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ilmbase/APKBUILD
diff options
context:
space:
mode:
authorMark Riedesel <mark@klowner.com>2016-08-25 11:27:23 -0500
committerJakub Jirutka <jakub@jirutka.cz>2016-08-26 18:18:47 +0200
commit9010ed09783f953f11504fe4a0265babcf7bdd1f (patch)
tree2779a0f7860b83d72baaa307d5aadc81f57920d8 /testing/ilmbase/APKBUILD
parentac426e362dea52d64a6d39a0bcf953cfa08deb7a (diff)
downloadaports-9010ed09783f953f11504fe4a0265babcf7bdd1f.tar.bz2
aports-9010ed09783f953f11504fe4a0265babcf7bdd1f.tar.xz
testing/ilmbase: move from unmaintained and add maintainer
Diffstat (limited to 'testing/ilmbase/APKBUILD')
-rw-r--r--testing/ilmbase/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/ilmbase/APKBUILD b/testing/ilmbase/APKBUILD
new file mode 100644
index 0000000000..60c370b239
--- /dev/null
+++ b/testing/ilmbase/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer: Mark Riedesel <mark+alpine@klowner.com>
+pkgname=ilmbase
+pkgver=2.2.0
+pkgrel=1
+pkgdesc="Base libraries from ILM for OpenEXR"
+url="http://www.openexr.com"
+arch="all"
+license="BSD"
+depends=""
+makedepends="bash"
+subpackages="$pkgname-dev"
+source="http://download.savannah.nongnu.org/releases/openexr/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+ update_config_sub || return 1
+}
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ make DESTDIR="$pkgdir" \
+ -C "$builddir" install || return 1
+}
+
+md5sums="b540db502c5fa42078249f43d18a4652 ilmbase-2.2.0.tar.gz"
+sha256sums="ecf815b60695555c1fbc73679e84c7c9902f4e8faa6e8000d2f905b8b86cedc7 ilmbase-2.2.0.tar.gz"
+sha512sums="0bbad14ed2bd286dff3987b16ef8631470211da54f822cb3e29b7931807216845ded81c9bf41fd2d22a8b362e8b9904a5450f61f5a242e460083e86b846513f1 ilmbase-2.2.0.tar.gz"